Emissions data for all sites
curl --request GET \
--url https://api.voltview.co.uk/v1/sites/emissions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.voltview.co.uk/v1/sites/emissions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.voltview.co.uk/v1/sites/emissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"siteId": "<string>",
"period": "<string>",
"emissions": 123,
"emissionsIntensity": 123,
"emissionsBySource": {
"electricity": 123,
"gas": 123,
"other": 123
},
"historicalData": [
{
"period": "<string>",
"emissions": 123
}
],
"carbonSavings": 123,
"targetReduction": 123
}
]{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "Invalid request"
}
}Emissions
Emissions data for all sites
Retrieves carbon emissions data across all sites
GET
/
v1
/
sites
/
emissions
Emissions data for all sites
Authorizations
VoltView API key
Query Parameters
Time period to look back (e.g. 1d, 1w, 1m, 1y for day, week, month, year)
Pattern:
^\d+[dwmy]$Example:
"1y"
Response
Emissions data retrieved successfully
Site identifier
Reporting period
Carbon emissions in kg CO2e
Emissions intensity in kg CO2e/kWh
Breakdown of emissions by source
Show child attributes
Show child attributes
Historical emissions data for comparison
Show child attributes
Show child attributes
Carbon savings compared to baseline in kg CO2e
Target reduction percentage